Debian Bug report logs - #597837
haskell-gtk: dialogs compiled with -threaded cannot be closed

version graph

Package: haskell-gtk; Maintainer for haskell-gtk is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Christian Maeder <Christian.Maeder@dfki.de>

Date: Thu, 23 Sep 2010 13:12:01 UTC

Severity: important

Found in version 0.11.0

Fixed in version haskell-gtk/0.11.0-5

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian.Maeder@dfki.de, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597837; Package haskell-gtk. (Thu, 23 Sep 2010 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Maeder <Christian.Maeder@dfki.de>:
New Bug report received and forwarded. Copy sent to Christian.Maeder@dfki.de, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 23 Sep 2010 13:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Maeder <Christian.Maeder@dfki.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: haskell-gtk: dialogs compiled with -threaded cannot be closed
Date: Thu, 23 Sep 2010 15:10:04 +0200
Package: haskell-gtk
Version: 0.11.0
Severity: important


A simple dialog as in Dlg2.hs, compiled by "ghc --make -threaded Dlg2.hs"
and run by "./Dlg2" does not close.

see
http://trac.informatik.uni-bremen.de:8080/hets/ticket/794


-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-14-generic (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597837; Package haskell-gtk. (Thu, 23 Sep 2010 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Maeder <Christian.Maeder@dfki.de>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 23 Sep 2010 13:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 597837@bugs.debian.org (full text, mbox):

From: Christian Maeder <Christian.Maeder@dfki.de>
To: 597837@bugs.debian.org
Subject: Dlg2.hs haskell source
Date: Thu, 23 Sep 2010 15:42:03 +0200
[Message part 1 (text/plain, inline)]
Just to avoid depending on a working link to our bug tracker.

C,
[Dlg2.hs (text/x-haskell, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597837; Package haskell-gtk. (Sat, 02 Oct 2010 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 02 Oct 2010 14:51:02 GMT) Full text and rfc822 format available.

Message #15 received at 597837@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Axel Simon <Axel.Simon@in.tum.de>
Cc: Christian Maeder <Christian.Maeder@dfki.de>, Iain Lane <laney@ubuntu.com>, josch@mister-muffin.de, Corneliu-Claudiu Prodescu <cprodescu@googlemail.com>, gtk2hs-users <gtk2hs-users@lists.sourceforge.net>, debian-haskell@lists.debian.org, Till Mossakowski <Till.Mossakowski@dfki.de>, 597837@bugs.debian.org
Subject: Re: libghc6-gtk-dev for lucid and maverick
Date: Sat, 02 Oct 2010 16:47:28 +0200
[Message part 1 (text/plain, inline)]
Hi everyone,

I just had a look at the issue, backported the changes from 0.11.2 to
0.11.0 (we really don’t want to update more than necessary at this stage
of the freeze) but did not upload yet. The patch also changes the ABI,
so we’d need to rebuild all reverse dependencies (glade-0.11.0,
gtksourceview2-0.11.0, gtkglext-0.11.0, ltk-0.8.0.6 on my machine) via
binNMUs.

Am Donnerstag, den 23.09.2010, 16:49 +0200 schrieb Axel Simon:
> >> If that is the case (you can ask d-release, of couse), we’d need to
> >> isolate the change to gtk (or is it maybe glib?) that fixed the  
> >> problem
> >> and backport it to gtk-0.11.0, upload that to unstable and ask for a
> >> release exception. The changes to
> >> gtk-0.11.2//Graphics/UI/Gtk/General/hsgthread.c and to initGUI  
> >> could be releated to threading issues.
> >
> > I would not try to patch gtk in isolation. What is the opinion of  
> > gtk2hs developers?
> 
> There are few new features in 0.11.2. They are mostly bug fixes,  
> including patches to the notorious hsgthread.c file which fixes the  
> bug you are seeing (partly, at least). The main reason to push out  
> 0.11.2 was this bug fix. You could try to incorporate the changes to  
> hsgthread.c and Graphics/UI/Gtk/General/General.chs into 0.11.0 but  
> that's not saving much.

What do you mean by „partly“? The fix helps in Christian’s testcase, but
is it just a workaround or are the remaining problem relatively small?

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597837; Package haskell-gtk. (Mon, 04 Oct 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 04 Oct 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 597837@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Christian Maeder <Christian.Maeder@dfki.de>
Cc: Iain Lane <laney@ubuntu.com>, josch@mister-muffin.de, Corneliu-Claudiu Prodescu <cprodescu@googlemail.com>, debian-haskell@lists.debian.org, Till Mossakowski <Till.Mossakowski@dfki.de>, 597837@bugs.debian.org
Subject: Re: libghc6-gtk-dev for lucid and maverick
Date: Mon, 04 Oct 2010 13:46:30 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 02.10.2010, 16:47 +0200 schrieb Joachim Breitner:
> I just had a look at the issue, backported the changes from 0.11.2 to
> 0.11.0 (we really don’t want to update more than necessary at this stage
> of the freeze) but did not upload yet. The patch also changes the ABI,
> so we’d need to rebuild all reverse dependencies (glade-0.11.0,
> gtksourceview2-0.11.0, gtkglext-0.11.0, ltk-0.8.0.6 on my machine) via
> binNMUs.

uploaded 0.11.0-5 to Debian. For a Ubuntu package, Iain would have to
sync, IIRC.


Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Mon, 04 Oct 2010 12:03:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Maeder <Christian.Maeder@dfki.de>:
Bug acknowledged by developer. (Mon, 04 Oct 2010 12:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 597837-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 597837-close@bugs.debian.org
Subject: Bug#597837: fixed in haskell-gtk 0.11.0-5
Date: Mon, 04 Oct 2010 12:02:13 +0000
Source: haskell-gtk
Source-Version: 0.11.0-5

We believe that the bug you reported is fixed in the latest version of
haskell-gtk, which is due to be installed in the Debian FTP archive:

haskell-gtk_0.11.0-5.debian.tar.gz
  to main/h/haskell-gtk/haskell-gtk_0.11.0-5.debian.tar.gz
haskell-gtk_0.11.0-5.dsc
  to main/h/haskell-gtk/haskell-gtk_0.11.0-5.dsc
libghc6-gtk-dev_0.11.0-5_amd64.deb
  to main/h/haskell-gtk/libghc6-gtk-dev_0.11.0-5_amd64.deb
libghc6-gtk-doc_0.11.0-5_all.deb
  to main/h/haskell-gtk/libghc6-gtk-doc_0.11.0-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Oct 2010 16:43:13 +0200
Source: haskell-gtk
Binary: libghc6-gtk-dev libghc6-gtk-doc
Architecture: source all amd64
Version: 0.11.0-5
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc6-gtk-dev - Binding to the Gtk+ graphical user interface library
 libghc6-gtk-doc - Binding to the Gtk+ graphical user interface library; documentati
Closes: 597837
Changes: 
 haskell-gtk (0.11.0-5) unstable; urgency=low
 .
   * debian/patches/gtk-thread-backport-597837.patch:
     Backport from 0.11.2, Closes: #597837
Checksums-Sha1: 
 e2e535cb1887210580015527a462d16f734ea3b2 1755 haskell-gtk_0.11.0-5.dsc
 8c19d2d671c2b77ae392e564b623742e5b0995b5 6653 haskell-gtk_0.11.0-5.debian.tar.gz
 8a57a5975a64a2f494a7b08ece2aa277121436f7 1962122 libghc6-gtk-doc_0.11.0-5_all.deb
 135631d66256c488aef9a1e9e5b883b81f90c029 6902178 libghc6-gtk-dev_0.11.0-5_amd64.deb
Checksums-Sha256: 
 4006d6fc98874c25fc1c25bd6bdef771255c63f330b3734c5812fd555aed26f7 1755 haskell-gtk_0.11.0-5.dsc
 d0a0c52ad8ac1883f397247b3d644e3afce1428f954b4a0dcb42faae841387f8 6653 haskell-gtk_0.11.0-5.debian.tar.gz
 eb914e7cfb2defe88049e3be43b3a749675416af7ade28d7da769a03bcb0f738 1962122 libghc6-gtk-doc_0.11.0-5_all.deb
 6b364abc6aea1651e7805a16b09aa3434c88635e6e5c3d2c643b85dd8c284f64 6902178 libghc6-gtk-dev_0.11.0-5_amd64.deb
Files: 
 05cfde31623fe511557622316c277b50 1755 haskell extra haskell-gtk_0.11.0-5.dsc
 540367ae5b5fabd4600375e8c6690f00 6653 haskell extra haskell-gtk_0.11.0-5.debian.tar.gz
 32f4e0faebdcc3a7b5b9124a225bc7cc 1962122 doc extra libghc6-gtk-doc_0.11.0-5_all.deb
 5fdc3aba417232690e12a7b9badfdc37 6902178 haskell extra libghc6-gtk-dev_0.11.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyppW0ACgkQ9ijrk0dDIGztNwCeP/bj/QXb3v9vxP2RIV6+dzDM
324AoJPQFMJmY7uNAU7IDeza2er4uPnL
=Zr7Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Nov 2010 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:57:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.